Update a coupon
curl --request PATCH \
--url https://api.spacebring.com/discounts/v1/coupons/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"coupon": {
"limitedItems": {
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
'import requests
url = "https://api.spacebring.com/discounts/v1/coupons/{id}"
payload = { "coupon": { "limitedItems": { "values": [{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }] } } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
coupon: {limitedItems: {values: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]}}
})
};
fetch('https://api.spacebring.com/discounts/v1/coupons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}Discounts
Update a coupon
Update a coupon.
OAuth
Required scopes:invoicesPATCH
/
discounts
/
v1
/
coupons
/
{id}
Update a coupon
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the coupon
Body
application/json
Coupon fields to update.
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I